## golang-github-lightstep-lightstep-tracer-common 1.1.0%2Bgit20210210.a8dfcb8

=== debian/changelog ===
golang-github-lightstep-lightstep-tracer-common (1.1.0+git20210210.a8dfcb8-3) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 11 Apr 2021 10:02:45 +0000

golang-github-lightstep-lightstep-tracer-common (1.1.0+git20210210.a8dfcb8-2) unstable; urgency=medium

  * update debian/copyright

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 08 Apr 2021 18:55:11 +0100

golang-github-lightstep-lightstep-tracer-common (1.1.0+git20210210.a8dfcb8-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 11 Mar 2021 01:55:11 +0000

## golang-github-lightstep-lightstep-tracer-common 1.1.0+git20210210.a8dfcb8

=== Makefile ===
# tools
MAKE = make

default: build

genproto.mk:
	@docker pull lightstep/gogoprotoc:latest
	@-docker rm -v lightstep-get-genproto-mk
	@docker create --name lightstep-get-genproto-mk lightstep/gogoprotoc:latest
	@docker cp lightstep-get-genproto-mk:/root/genproto.mk genproto.mk
	@docker rm -v lightstep-get-genproto-mk

include genproto.mk

PKG_PREFIX = github.com/lightstep/lightstep-tracer-common

PROTO_SOURCES = \
	collector.proto \
	lightstep.proto \
	metrics.proto

TEST_SOURCES = \
	$(GOLANG)/gogo/gogo_test.go \
	$(GOLANG)/protobuf/protobuf_test.go

GOGO_GENTGTS = $(call protos_to_gogo_targets,$(PROTO_SOURCES))
PBUF_GENTGTS = $(call protos_to_protobuf_targets,$(PROTO_SOURCES))

GOGO_LINKS = $(call protoc_targets_to_link_targets,$(GOGO_GENTGTS))
PBUF_LINKS = $(call protoc_targets_to_link_targets,$(PBUF_GENTGTS))

FAKES = \
	golang/gogo/collectorpb/collectorpbfakes/fake_collector_service_client.go \
	golang/protobuf/collectorpb/collectorpbfakes/fake_collector_service_client.go

.PHONY: default build test clean proto-links proto
.PHONY: $(GOGO_GENTGTS) $(PBUF_GENTGTS) $(GOGO_LINKS) $(PBUF_LINKS)

build: test

proto: $(GOGO_GENTGTS) $(PBUF_GENTGTS) $(FAKES)

test: $(TEST_SOURCES)
	@mkdir -p $(TMPNAME)
	${MAKE} -C golang test

clean:
	rm -rf $(TMPNAME)
	${MAKE} -C golang clean
	$(call clean_protoc_targets,$(GOGO_GENTGTS) $(PBUF_GENTGTS))

proto-links: $(GOGO_LINKS) $(PBUF_LINKS)

$(TMPNAME): 
	@mkdir -p $(TMPNAME)

$(GOGO_LINKS): $(GOLANG)-$(GOGO)-%-link: %.proto $(TMPNAME)
	$(call gen_protoc_link,$<,$@,$(GOGO))

$(PBUF_LINKS): $(GOLANG)-$(PBUF)-%-link: %.proto $(TMPNAME)
	$(call gen_protoc_link,$<,$@,$(PBUF))

$(GOGO_GENTGTS): $(GOLANG)-$(GOGO)-%: %.proto proto-links $(TMPNAME)
	$(call gen_gogo_target,$<)

$(PBUF_GENTGTS): $(GOLANG)-$(PBUF)-%: %.proto proto-links $(TMPNAME)
	$(call gen_protobuf_target,$<)

golang/gogo/collectorpb/collectorpbfakes/fake_collector_service_client.go: golang/gogo/collectorpb/collector.pb.go $(TMPNAME)
	$(call generate_fake,$@,$<,CollectorServiceClient)

golang/protobuf/collectorpb/collectorpbfakes/fake_collector_service_client.go: golang/protobuf/collectorpb/collector.pb.go $(TMPNAME)
	$(call generate_fake,$@,$<,CollectorServiceClient)

=== golang/Makefile ===
MAKE = make

.PHONY: test
test:
	${MAKE} -C gogo test
	${MAKE} -C protobuf test

.PHONY: clean
clean:
	${MAKE} -C gogo clean
	${MAKE} -C protobuf clean

=== golang/protobuf/Makefile ===
GO = GO111MODULE=on GOPROXY=https://proxy.golang.org go

.PHONY: test
test:
	${GO} test ./...

.PHONY: clean
clean:
	${GO} clean ./...

=== debian/changelog ===
golang-github-lightstep-lightstep-tracer-common (1.1.0+git20210210.a8dfcb8-6) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable
  * d/control:
    - Update Section to golang
    - Update Standards-Version to 4.7.0 (no changes needed)
    - Sync Depends with Build-Depends

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Jul 2024 02:02:57 +0000

golang-github-lightstep-lightstep-tracer-common (1.1.0+git20210210.a8dfcb8-5) experimental; urgency=medium

  * Team upload.
  * compile against golang-google-grpc >> 1.64

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 23 Jun 2024 12:43:06 -0400

golang-github-lightstep-lightstep-tracer-common (1.1.0+git20210210.a8dfcb8-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 30 Nov 2022 02:18:25 +0000

=== debian/control ===
Source: golang-github-lightstep-lightstep-tracer-common
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-gogoprotobuf-dev,
               golang-golang-x-net-dev,
               golang-google-genproto-dev (>= 0.0~git20210726.e7812ac),
               golang-google-grpc-dev (>= 1.64.0),
               golang-github-golang-protobuf-1-5-dev
Standards-Version: 4.7.0
Homepage: https://github.com/lightstep/lightstep-tracer-common
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-lightstep-lightstep-tracer-common
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-lightstep-lightstep-tracer-common.git
XS-Go-Import-Path: github.com/lightstep/lightstep-tracer-common
Testsuite: autopkgtest-pkg-go

Package: golang-github-lightstep-lightstep-tracer-common-dev
Architecture: all
Depends: ${misc:Depends},
         golang-gogoprotobuf-dev,
         golang-golang-x-net-dev,
         golang-google-genproto-dev (>= 0.0~git20210726.e7812ac),
         golang-google-grpc-dev (>= 1.64.0),
         golang-github-golang-protobuf-1-5-dev
Description: files shared by most or all of the Lightstep tracer implementations
 This package contains common files that are shared by most Lightstep
 tracer implementations.
 .
 LightStep is a distributed tracing common library for Go.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-lightstep-lightstep-tracer-common-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/lightstep/lightstep-tracer-common/tags .*/v?(\d\S*)\.tar\.gz
